Множественные уязвимости в phpWebThings

Дата публикации:
14.06.2009
Дата изменения:
29.06.2009
Всего просмотров:
1370
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-2147
CVE-2009-2081
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpWebThings 1.x
Уязвимые версии: phpWebThings 1.5.2, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю получить доступ к важным данным и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "module" в сценарии help.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии fdown.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: www.phpwebthings.nl

Решение: Способов устранения уязвимости не существует в настоящее время.

Журнал изменений:

29.06.2009
Изменено название уязвимости, добавлено уязвимость #2, добавлен PoC код.

Ссылки: phpWebThings <= 1.5.2 MD5 Hash Retrieve/File Disclosure Exploit
http://milw0rm.com/exploits/8928

или введите имя

CAPTCHA